# name, ver, rel are passed in from Makefile so we only have to set them one place
%define name lsb-sigchk
%define ver 4.0.0
%define rel 0.20190202.6

Summary:	LSB Function Signature Checker
Vendor:		ISPRAS
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Source:		%{name}-%{version}.src.tgz
License:	GPL
URL: 		http://bzr.linuxfoundation.org/lsb/devel/lsb-sigchk/
Group:		Development/Tests
Buildroot:	%{_builddir}/%{name}-root
AutoReqProv:	no
Requires: 	gcc, binutils

%description
LSB Function Signature Checker is a test suite for checking
ABI compliance of two Linux distributions.

%prep

%setup -q

%build

%install

#install the test suites
SUITE_ROOT=${RPM_BUILD_ROOT}/opt/lsb/test/lsb-sigchk
rm -fr ${SUITE_ROOT}
rm -fr ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
mkdir -p ${SUITE_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}

cp -f abi-compliance-checker.pl ${SUITE_ROOT}
cp -f lsb-sigchk.pl ${SUITE_ROOT}
cp -f SimpleJournal.pm ${SUITE_ROOT}

install -d ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
install README LICENSE ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}

%files
%defattr(-,root,root,-)
/opt/lsb/test/lsb-sigchk
%dir /opt/lsb/doc/%{name}
%defattr(644,root,root,-)
/opt/lsb/doc/%{name}/*

%pre
PATH=/usr/sbin:$PATH

%post
echo "LSB Function Signature Checker has been installed to"
echo "/opt/lsb/test/lsb-sigchk"

%preun
rm -fr /opt/lsb/test/lsb-sigchk/results

%clean
if [ ! -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%changelog
* Wed Feb 17 2010 Andrey Ponomarenko
- improved search of shared objects
* Mon Jan 18 2010 Andrey Ponomarenko
- modified post install message
- search optimizations
* Fri Sep 25 2009 Andrey Ponomarenko
- bugfix in the ABI compliance report relative paths
* Wed Sep 09 2009 Andrey Ponomarenko
- bugfix in search algorithms

